=== modified file 'ivle/webapp/admin/subject-media/project.css'
--- ivle/webapp/admin/subject-media/project.css	2009-05-12 14:59:03 +0000
+++ ivle/webapp/admin/subject-media/project.css	2009-12-07 10:12:10 +0000
@@ -17,21 +17,17 @@
   background: #eee;
 }
 
-#add_projectset {
-    padding: 10px;
-}
-
-.add-project > div{
+.add-project > div, .add-projectset > div {
     width: 600px;
     padding-left: 40px;
 }
 
-.add-project label {
+.add-project label, .add-projectset label {
     position: absolute;
     text-align: right;
 }
 
-.add-project input, textarea {
+.add-project input, textarea, .add-projectset input {
     margin-left: 100px;
     width: 400px;
 }
@@ -41,7 +37,7 @@
     white-space: pre-wrap;
 }
 
-.add-project > form {
+.add-project > form, .add-projectset > form {
     display: none;
 }
 

=== modified file 'ivle/webapp/admin/subject-media/project.js'
--- ivle/webapp/admin/subject-media/project.js	2009-12-02 09:16:17 +0000
+++ ivle/webapp/admin/subject-media/project.js	2009-12-07 10:12:10 +0000
@@ -3,6 +3,7 @@
     $(".new_project").submit(add_project);
     $('li').show();
     $('.add-project-link').click(show_add);
+    $('.add-projectset-link').click(show_add);
 });
 
 function serializeForm(form){

=== modified file 'ivle/webapp/admin/templates/offering_projects.html'
--- ivle/webapp/admin/templates/offering_projects.html	2009-05-04 05:04:23 +0000
+++ ivle/webapp/admin/templates/offering_projects.html	2009-12-07 10:56:55 +0000
@@ -11,14 +11,18 @@
           ${projectset}
         </py:for>
       </ul>
-      <div id="add_projectset">
-        <a>Add a new project set</a>
-        <form id="new_projectset_form" method="PUT" name="new_projectset_form" action="/api/subjects/${offering.subject.short_name}/${offering.semester.year}/${offering.semester.semester}/+projectsets/+new">
+      <div class="add-projectset">
+        <a href="#" id="add_new_projectset"
+           class="add-projectset-link">Add a new project set</a>
+        <form id="new_projectset_form" class="new_projectset"
+              method="PUT" name="new_projectset_form"
+              action="/api/subjects/${offering.subject.short_name}/${offering.semester.year}/${offering.semester.semester}/+projectsets/+new">
           <div id="new_projectset_div">
             <label for="group_size">Group Size:</label>
-            <input type="text" name="group_size" id="group_size"></input>
+            <input type="text" name="group_size" id="group_size"></input> Leave blank for individual projects. Enter 0 for unlimited membership.
+            <br />
             <input type="submit" id="submit_new_projectset" name="Bob"
-                value="Create Project Set"/>
+                   value="Create"/>
           </div>
         </form>
       </div>

